Subject: html-href-anchor vs "?"

From: Dan Jacobson <[email-masked]>
Date: Sat, 24 May 2025 10:54:20 +0800

C-c C-c h runs the command html-href-anchor (found in mhtml-mode-map),
which is an interactive native-comp-function in ‘sgml-mode.el’.

Alas URLs often contain "?", e.g.,
https://play.google.com/store/apps/developer?id=Goder+Hsu&hl=en
and when pasted in via wayland or xwindows, the "?" will silently get
eaten, only to be discovered when a reader reports a 404 error months
later, if ever.

Yes, "just use C-q ?" you might say. But there is no way to insert the
C-q in the middle of a paste.

Therefore, "?" in this case should no longer be special. C-h should do
the role "?" has here.

(Another problem is & needs to become &amp;.)

emacs-version "30.1"